#include "detector.hh"

MySensitiveDetector::MySensitiveDetector(G4String name) : G4VSensitiveDetector(name)
{}

MySensitiveDetector::~MySensitiveDetector()
{}

G4bool MySensitiveDetector::ProcessHits(G4Step *aStep, G4TouchableHistory *ROhist){
  G4Track *track = aStep->GetTrack();
  track->SetTrackStatus(fStopAndKill);

  G4StepPoint *preStepPoint  = aStep->GetPreStepPoint();
  G4StepPoint *postStepPoint = aStep->GetPostStepPoint();
  G4ThreeVector posPhoton = preStepPoint->GetPosition();
  G4cout << posPhoton << G4endl;

  /*
  if (track->GetParentID() == 0 && track->GetParticleDefinition() == G4Proton::ProtonDefinition())
  {
        G4ThreeVector momentum = track->GetMomentum();
        G4double momentumMagnitude = momentum.mag();
        G4cout <<"**** MOMENTUM = " << momentumMagnitude << G4endl;
        fout <<"**** MOMENTUM = " << momentumMagnitude << std::endl;
  }
  */

  return true;
}
