#include "run.hh"

MyRunAction::MyRunAction(){
    auto *man = G4AnalysisManager::Instance();
    man->CreateNtuple("Values","Values");
    man->CreateNtupleDColumn("Momentum");
    man->FinishNtuple(0);
}

MyRunAction::~MyRunAction(){}

void MyRunAction::BeginOfRunAction(const G4Run*){
    auto *man = G4AnalysisManager::Instance();
    man->OpenFile("output.root");
    
    man->CreateNtuple("Hits","Hits"); 
    man->CreateNtupleIColumn("Event"); 
    man->CreateNtupleIColumn("X"); 
    man->CreateNtupleIColumn("Y"); 
    man->CreateNtupleIColumn("Z");
    man->CreateNtupleIColumn("");
    man->FinishNtuple(0);
}

void MyRunAction::EndOfRunAction(const G4Run*){
    G4AnalysisManager *man = G4AnalysisManager::Instance();
    man->Write();
    man->CloseFile();
}

